---
title: Orchestrators
weight: 4
description: Next level platforming is orchestrating platforms
---

## Summary

When defining and setting up platforms next two intrinsic problems arise:

1. it is not declarative and automated
2. it is not or least not easily changable

Thus the technology of 'Platform Orchestrating' emerged recently, in late 2023.


## Platform reference architecture

An interesting difference between the CNCF white paper building blocks and them from Internaldeveloperplatforms is the part [**orchestrators**](https://internaldeveloperplatform.org/platform-orchestrators/).

This is something extremely new since late 2023 - the rise of the automation of platform engineering!

It was Humanitec creating a definition of platform architecture, as they needed to defien what they are building with their 'orchestrator':

![https://developer.humanitec.com/introduction/overview/](./4_orchestrators/vendor-neutral-idp-final.gif)

## Declarative Platform Orchestration

Based on the refence architecture you next can build - or let's say 'orchestrate' - different platform implementations, based on declarative definitions of the platform design.

https://humanitec.com/reference-architectures


![https://humanitec.com/blog/aws-azure-and-gcp-open-source-reference-architectures-to-start-your-mvp](./4_orchestrators/platform-architectures.webp)

> Hint: There is a [slides tool provided by McKinsey](https://platformengineering.org/blog/create-your-own-platform-engineering-reference-architectures) to set up your own platform deign based on the reference architecture 

> What comes next?
> [Next](./cnoe.md) we'll see how we are going to do platform orchestration with CNOE!

## Addendum

## Building blocks from Humanitecs 'state-of-platform-engineering-report-volume-2'

You remember the [capability mappings from the time before orchestration](../platforming)? Here we have a [similar setup based on Humanitecs platform engineering status ewhite paper](https://humanitec.com/whitepapers/state-of-platform-engineering-report-volume-2):

![https://humanitec.com/whitepapers/state-of-platform-engineering-report-volume-2 Whitepaper_ State of Platform Engineering Report.pdf](./4_orchestrators/platform-tooling-humanitec-platform-report-2024.PNG)
